UI.AddDropdown( "Custom ClanTag", [ "Disabled", "ONEhvh.cc Clantag"] );
UI.AddSliderInt( "Custom ClanTag Speed", 1, 10 );
var lasttime = 0;
function onRender( )
{
    var tag = UI.GetValue( "Script Items", "Custom ClanTag" );
    var speed = UI.GetValue( "Script Items", "Custom ClanTag Speed" );
    var time = parseInt((Globals.Curtime() * speed))
    if (time != lasttime)
    {
        if(tag == 0) { Local.SetClanTag(""); }
        if(tag == 1)
            {
            switch((time) % 56)
            {
            case 1: { Local.SetClanTag("0"); break; }
            case 2: { Local.SetClanTag(" "); break; }
            case 3: { Local.SetClanTag("O" ); break; }
            case 4: { Local.SetClanTag("O| "); break; }
            case 5: { Local.SetClanTag("O|\ "); break; }
            case 6: { Local.SetClanTag("O|\| "); break; }
            case 7: { Local.SetClanTag("ON "); break; }
            case 8: { Local.SetClanTag("ON3 "); break; }
            case 9: { Local.SetClanTag("ONE "); break; }
            case 10: { Local.SetClanTag("ONEh "); break; }
            case 11: { Local.SetClanTag("ONEhv "); break; }
            case 12: { Local.SetClanTag("ONEhvh "); break; }
            case 13: { Local.SetClanTag("ONEhvh. "); break; }
            case 14: { Local.SetClanTag("ONEhvh.c "); break; }
            case 15: { Local.SetClanTag("ONEhvh.cc "); break; }
            case 16: { Local.SetClanTag("ONEhvh.c "); break; }
            case 17: { Local.SetClanTag("ONEhvh. "); break; }
            case 18: { Local.SetClanTag("ONEhvh "); break; }
            case 19: { Local.SetClanTag("ONEhv "); break; }
            case 20: { Local.SetClanTag("ONEh "); break; }
            case 21: { Local.SetClanTag("ONE "); break; }
            case 22: { Local.SetClanTag("ON "); break; }
            case 23: { Local.SetClanTag("O "); break; }
            case 24: { Local.SetClanTag(" "); break; }
            }
        }
    }
    lasttime = time;
}
Cheat.RegisterCallback("Draw", "onRender");